=== debian/changelog ===
ros-indigo-jsk-recognition-utils (1.2.7-0trusty) trusty; urgency=high

  * [jsk_perception] Add deep_sort_tracker_node.py (#2351 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2351> )
    * [jsk_recognition_utils/deep_sort_net.py] Renamed network name DeepSortFeature -> DeepSortFeatureExtractor
    * [jsk_perception/deep_sort/deep_sort_net.py] Moved to jsk_recognition_utils's chainermodels
  * [jsk_recognition_utils] Resolve dependency for chainer (#2306 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2306> )
  * Support passing Numpy_INCLUDE_DIRS externally (#2389 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2389> )
  * [doc] [jsk_perception] [jsk_recognition_utils] Add guide to image recognition with deep learning (#2365 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2365>)
    
      * Add doc for image annotation
      * Add annotate_images_with_labelme to index
      * Add dataset class for semantic segmentation
      * Add install_learning_datasets script
      * Download datasets during catkin build
      * Add .gitignore in learning_datasets/
      * Add train_fcn script
      * Set default learning_rate to valid value
      * Enable plotting from remote host as well
      * Add doc for training FCN
      * Add doc for starting deep learning with image dataset
      * Add how to create dataset, where to store it in documentation
      * Dump param for fcn_object_segmentation.py
      * Add InstanceSegmentationDataset
      * Add train script for Mask-RCNN
      * Fix model_name and outputs in train_fcn.md
      * Add doc for training Mask-RCNN
    
  * Contributors: Esteve Fernandez, Yuto Uchimi, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.6-0trusty) trusty; urgency=high

  * Install 'sample' and 'test'into SHARE_DESTINATION (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * Use diagnostic nodelet for EuclideanClustering and other nodelets (#2301 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2301>)
    * jsk_pcl_ros: euclidean_clustering: use dianogistc nodeletUse DiagnosticNodelet::updateDiagnostic preferrably
  * Describe the hierachy of rosparams of ClusterPointIndicesDecomposer (#2285 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2285>)
    * Fix test of add_bounding_box_array The input topics are slow (~1Hz), so slop should be larger (it was 0.1 before).
  * Fix for AssertionError in fast_rcnn.py (#2281 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2281>)
    * Use roi_pooling_2d defined in chainer for fast_rcnn on CPU mode
  * Re-enable tests which use chainer inside them (#2280 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2280>)
    * Looser timeout for test of add_bounding_box_array
  * Node to concatenate BoundingBoxArray (#2264 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2264>)
    * Doc for add_bounding_box_array.py
    * Node to concatenate BoundingBoxArray
    * Move <test> section to the sample launch files
  * Contributors: Yuki Furuta, Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.5-0trusty) trusty; urgency=high

  * Fix build of jsk_recognition_utils (on Kinetic) (#2262 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2262> )
    * Close https://github.com/jsk-ros-pkg/jsk_recognition/issues/2259
  * [jsk_perception/fast_rcnn.py] fast_rcnn node to follow chainer-v2 version (#2249 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2249>)
    * modify fast_rcnn model to follow chainer-v2 version
  * Contributors: Yuki Furuta, Kentaro Wada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.4-0trusty) trusty; urgency=high

  * Add image gallery to README (#2225 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2225>)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.3-0trusty) trusty; urgency=high

  * Regional feature based object recognition using ResNet (#2172 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2172>)
  * Convert bounding box to mask (#2176 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2176>)
    * Add RectArrayToPolygonArray
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.2.0-0trusty) trusty; urgency=high

  * jsk_pcl_ros: Add Primitive shape classifier nodelet (#2141)
    
    jsk_recognition_utils/include/jsk_recognition_utils/geo/polygon.h
    
    [jsk_recognition_utils][polygon][fromROSMsg] use identity matrix for default transformation
  * jsk_recognition_utils/setup.py: Find packages automatically in jsk_recognition_utils (#2156 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2156>)
  * [jsk_recognition_utils] install chainermodels dir in setup.py (#2154 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2154>)
  * Contributors: Kentaro Wada, Shingo Kitagawa, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-utils (1.1.3-0trusty) trusty; urgency=high

  * [jsk_pcl_ros_utils] Add nodelet for computing & comparing color  histogram (#2101 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2101> )
    * jsk_recognition_utils/include/jsk_recognition_utils/pcl/color_histogram.h: add color_histogram_classifier and visualizer

