=== debian/control ===
Source: ros-indigo-jsk-recognition-utils
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), cython, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-tools, ros-indigo-jsk-topic-tools, ros-indigo-message-generation, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_recognition/jsk_recognition_utils
Standards-Version: 3.9.2

Package: ros-indigo-jsk-recognition-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python-skimage, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-topic-tools, ros-indigo-message-runtime, ros-indigo-pcl-msgs, ros-indigo-pcl-ros, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Description: C++ library about sensor model, geometrical modeling and perception.
